DTIのServersMan@VPSのDebian7ではPHP7がはいらないみたい

色々迷ってDebianだーときめて、とりあえずVMwareにインストールしてみたのだけど、
Debianってすでにバージョン9になっているのに、
提供されているのは7までなんですよね。

試しにVMWareに、Debian7(wheezy)をインストールしてみると、すぐに困ったことが起きました。
PHP7が上手くインストールできない!のです。

“Debian php7″のように検索するとDebian8(jessie)の情報が出てきてしまいます。

Debian8(jessie)のphp7のインストール方法を試す

以下を参考に・・・
http://obel.hatenablog.jp/entry/20160311/1457644814

ざっと以下の手順です。

1./etc/apt/sources.list に http://packages.dotdeb.org を追加

# PHP 7
deb http://packages.dotdeb.org jessie all

2. 鍵情報をダウンロードして追加

$ sudo wget https://www.dotdeb.org/dotdeb.gpg
$ sudo apt-key add dotdeb.gpg

3. apt-get update

4. apt-get install php

残念ながら、Debian7(wheezy)で行ってもinstallでエラーになってしまいます。
sources.listがjessieになっているのが問題かと思い、wheezyに変えてみましたが、そういう問題では無いようでNGでした。

Debian7(wheezy)をDebian8(jessie)にアップグレードしてしまえば?

どうやら、DTIのServersman@vpsをDebianで使っている方はDebian8(jessie)にアップグレードして使っている方が多いようです。ちなみに最新は9なのですが、サーバー構成に問題があるようでアップグレードは不可能なようです。

というわけで、まずはVMWareでDebian7(wheezy)をDebian8(jessie)にアップグレードの実験を行いました。

スポンサーリンク







シェアする

  • このエントリーをはてなブックマークに追加

フォローする

スポンサーリンク